---
layout: post
title: "Originally shared by OctoPrint I need your support Most of you probably know that OctoPrints development has been heavily sponsored by BQ since August 2014, mostly by employing me (Gina Huge) full time for working on it"
date: April 14, 2016 08:17
category: "General discussion"
author: "Arthur Wolf"
---
<b>Originally shared by OctoPrint</b>



<b>I need your support</b>



Most of you probably know that OctoPrint’s development has been heavily sponsored by BQ since August 2014, mostly by employing me (Gina Häußge) full time for working on it. If you've been following OctoPrint since before that, you've seen what enormous change in pace that has allowed me to achieve and what it has made possible. To give just one example, the plugin system was a behemoth to implement and I wouldn't have been able to make it this powerful without being able to concentrate on it exclusively. 



All this would not have been possible if OctoPrint hadn't become my full time project. It wouldn't have been possible if I'd had to try to get this work done on evenings, weekends or my vacations, constantly losing focus and having to recover my steps. So far, the bill for this heavy involvement on my part has been paid by BQ. And if you look into the commit history, it becomes pretty evident how heavy that involvement really is. Sadly, due to reasons that are beyond my control, BQ’s patronage is not possible much longer. I'm indescribably grateful they've sponsored my work for as long as they did, and I fully understand the reason why that's simply not possible any more now.



I think I've created a very powerful piece of software here. I enjoy working on it, I enjoy helping people by enabling them to optimize and automate their 3d printing workflow, on top of remote controlling and monitoring their machines. I would love to continue to work full time on OctoPrint, to keep implementing the many ideas I've envisioned for it but have not yet gotten around to, like a way more granular access control system, even more extendability, making it easier to support additional printer protocols via plugins and so on. But since I have bills to pay, it isn't enough for me to love what I'm doing here, I also need to be able to afford that dedication. In a nutshell, it is plain impossible for me to spend this much time and energy on something that is not my job.



You've seen what I've been able to do over the past couple of years. I promise you that if I'm able to continue working at this level of involvement, more awesome things are going to happen. If you love OctoPrint and believe in its potential and my skills to get it there, please consider supporting me on Patreon.



My contract with BQ ends in a couple of weeks. I should hopefully still be able to continue working on OctoPrint for some time after this, to see if it becomes financially viable to commit to do this long term through community funding.



If it doesn't, I'll have to find myself a regular full time job again, and - to be completely honest here - that would probably be the end of my involvement in OctoPrint. I maintained and developed this project for one and a half years next to a full time day job as a software architect before I got hired by BQ, and from that experience I know that this won't work. I can't do this properly as an after-hours/weekend side project, and I also won't attempt that anymore considering what it did to my life and health the last time. I'm telling you this because I think I have to give you all the facts to enable you to see the whole picture and to make an informed decision, and this is sadly how things are.



But no matter how things turn out, OctoPrint will of course stay open source, and you’ll always have what’s already there to use and improve on, even if I have to step away from it.



<b>TLDR</b> Please support me on Patreon.







**"Arthur Wolf"**

---


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/iykyHAV1vwF) &mdash; content and formatting may not be reliable*
